Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 875659

Summary: TUI:Hostname still could be reset after register rhevh into rhevm..
Product: Red Hat Enterprise Virtualization Manager Reporter: haiyang,dong <hadong>
Component: ovirt-node-plugin-vdsmAssignee: Douglas Schilling Landgraf <dougsland>
Status: CLOSED WONTFIX QA Contact: yeylon <yeylon>
Severity: medium Docs Contact:
Priority: low    
Version: unspecifiedCC: aberezin, acathrow, bazulay, cshao, dougsland, fdeutsch, gouyang, hadong, iheim, jkt, leiwang, lpeer, oourfali, pstehlik, srevivo, ycui, yeylon
Target Milestone: ---   
Target Release: 3.5.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: node
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-10 20:27:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Node RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1142923, 1156165    

Description haiyang,dong 2012-11-12 10:17:21 UTC
Description of problem:
Clean install RHEV-H,configure network,then navigate to the RHEVM configuration screen,input correct "Management Server"
and "Management Server Port",choose apply,after register rhevh into rhevm successfully, navigate to the Network page, 
check info "Managed by RHEV-M(Read Only)" on that page, so all labels should be grayed out,but hostname still could be reset.

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.4-20121015.1.el6

How reproducible:
100%

Steps to Reproduce:
1. Install RHEV-H. 
2. Configure network
3. Navigate to the RHEVM configuration screen,input correct "Management Server"
and "Management Server Port",choose apply
4. After register rhevh into rhevm successfully, navigate to the Network page

Actual result:.
After step 4,check that info "Managed by RHEV-M(Read Only)" on that page, so all labels should be grayed out,but hostname still could be reset,

Expect result:
If prompt that "Managed by RHEV-M(Read Only)" on network page, so all labels should be grayed out and couldn't be edited

Comment 2 RHEL Product and Program Management 2012-12-14 07:20:47 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 8 Douglas Schilling Landgraf 2014-04-03 18:09:57 UTC
(In reply to haiyang,dong from comment #0)
> Description of problem:
> Clean install RHEV-H,configure network,then navigate to the RHEVM
> configuration screen,input correct "Management Server"
> and "Management Server Port",choose apply,after register rhevh into rhevm
> successfully, navigate to the Network page, 
> check info "Managed by RHEV-M(Read Only)" on that page, so all labels should
> be grayed out,but hostname still could be reset.

What happens if user decided one day after the registration that he wants this RHEV-H registered as another hostname in another instance of RHEV-M? Suggesting user to press F2 go to shell etc doesn't look good to me. I do believe we might want to keep this as it's.

Fabian, Arthur thoughts?

Comment 9 Fabian Deutsch 2014-04-04 08:10:36 UTC
Hey,

my general thinking would be: When RHEV-H is registered, lock all relevant places which shall not be editable by the user.

That means we need to determine what details should not be changed by the user after RHEV-H has been registered.
I.e. should it be allowed to change the hostname after registration?

How is a host identified by engine? Based on the fqdn or ip?

Second - We should provide a way to unregister from an engone which then let's the user (a) edit all fields again and (b) let the user connect RHEV-H to a different Engine.

Comment 10 Barak 2014-04-22 11:36:00 UTC
Douglas,

Can you please disable the change of hostname through TUI, once this host was registered.

Comment 11 Itamar Heim 2014-08-10 20:27:11 UTC
Closing old bugs. If this issue is still relevant/important in current
version, please re-open the bug.